Package org.eclipse.mat.snapshot.model

# Interface IStackFrame

public interface IStackFrame
May be subject of change

Since:
  0.8
No Implement:

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getLocalObjectsIds()`
Returns the object IDs of all objects referenced from this stack frame - both Java and JNI local objects
`String`
`getText()`
Get the text representation of the stack frame

## Method Details

### getLocalObjectsIds

int[] getLocalObjectsIds()
Returns the object IDs of all objects referenced from this stack frame - both Java and JNI local objects

Returns:
  int[] an array containing the object Ids. If there are no local objects to the frame, an empty array will be returned

### getText

String getText()
Get the text representation of the stack frame

Returns:
  java.lang.String the text representation of the stack frame - class and method